Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.dao.cache
Class NullUserCache

    java.lang.Object
      org.acegisecurity.providers.dao.cache.NullUserCache

All Implemented Interfaces:
  UserCache

    public class NullUserCache

extends Object
implements UserCache

Does not perform any caching.

Version:
  $Id: NullUserCache.java,v 1.6 2005/11/29 13:10:11 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`NullUserCache()`

Method Summary
`UserDetails` | `getUserFromCache(String username)` Obtains a `UserDetails` from the cache.
`void` | `putUserInCache(UserDetails user)` Places a `UserDetails` in the cache.
`void` | `removeUserFromCache(String username)` Removes the specified user from the cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullUserCache

    public NullUserCache()

Method Detail

### getUserFromCache

    public UserDetails getUserFromCache(String username)

  Description copied from interface: `UserCache`
  Obtains a `UserDetails` from the cache.

  Specified by:
    `getUserFromCache` in interface `UserCache`
  Parameters:
    `username` - the `User.getUsername()` used to place the user in the cache
  Returns:
    the populated `UserDetails` or `null` if the user could not be found or if the cache entry has expired

### putUserInCache

    public void putUserInCache(UserDetails user)

  Description copied from interface: `UserCache`
  Places a `UserDetails` in the cache. The `username` is the key used to subsequently retrieve the `UserDetails`.

  Specified by:
    `putUserInCache` in interface `UserCache`
  Parameters:
    `user` - the fully populated `UserDetails` to place in the cache

### removeUserFromCache

    public void removeUserFromCache(String username)

  Description copied from interface: `UserCache`
  Removes the specified user from the cache. The `username` is the key used to remove the user. If the user is not found, the method should simply return (not thrown an exception).

  Some cache implementations may not support eviction from the cache, in which case they should provide appropriate behaviour to alter the user in either its documentation, via an exception, or through a log message.

  Specified by:
    `removeUserFromCache` in interface `UserCache`
  Parameters:
    `username` - to be evicted from the cache

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.